#include <iostream>
#include <cmath>
using namespace std;

int main() 
{ 
	int n,p=0;
	cin>>n;
	int x[n],y[n];
	for(int i=0;i<n;i++)
	cin>>x[i]>>y[i];
	int velicina = n*(n-1);
	
	float k[velicina],d[velicina];
	
	for(int i=0;i<n;i++){
		for(int j=i;j<n;j++){
			k[p]=(y[i]-y[j])/(x[i]-x[j]);
			d[p]=sqrt((x[i]-x[j])*(x[i]-x[j]) + (y[i]-y[j])*(y[i]-y[j]));
			p++;
		}
	}
	
	for(int i=0;i<velicina;i++) cout<<k[i]<<" "<<d[i]<<endl;
	//cout<<d[1];










    return 0; 
}